package com.ruoyi.app.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class PorkProduceDTO {
    /** 产品名称 */
    private String productName;

    /** 生产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceTime;

    /** 血码 */
    private String slaughterCode;

    /** 吊钩号 */
    private String hookNo;

    /** 宰后重量 */
    private BigDecimal finalWeight;

    public void setProductName(String productName)
    {
        this.productName = productName;
    }

    public String getProductName()
    {
        return productName;
    }

    public void setProduceTime(Date produceTime)
    {
        this.produceTime = produceTime;
    }

    public Date getProduceTime()
    {
        return produceTime;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setHookNo(String hookNo)
    {
        this.hookNo = hookNo;
    }
    public String getHookNo()
    {
        return hookNo;
    }

    public void setFinalWeight(BigDecimal finalWeight)
    {
        this.finalWeight = finalWeight;
    }

    public BigDecimal getFinalWeight()
    {
        return finalWeight;
    }
}
